<?php $__env->startSection('site_title', formatTitle([__('Social'), __('Settings'), config('settings.title')])); ?>

<?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
    ['url' => route('admin.dashboard'), 'title' => __('Admin')],
    ['title' => __('Settings')],
]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<h1 class="h2 mb-3 d-inline-block"><?php echo e(__('Social')); ?></h1>

<div class="card border-0 shadow-sm">
    <div class="card-header"><div class="font-weight-medium py-1"><?php echo e(__('Social')); ?></div></div>
    <div class="card-body">

        <?php echo $__env->make('shared.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <form action="<?php echo e(route('admin.settings', 'social')); ?>" method="post" enctype="multipart/form-data">

            <?php echo csrf_field(); ?>

            <div class="form-group">
                <label for="i-social-facebook"><?php echo e(__('Facebook')); ?></label>
                <input type="text" dir="ltr" name="social_facebook" id="i-social-facebook" class="form-control<?php echo e($errors->has('social_facebook') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('social_facebook') ?? config('settings.social_facebook')); ?>">
                <?php if($errors->has('social_facebook')): ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($errors->first('social_facebook')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="form-group">
                <label for="i-social-twitter"><?php echo e(__('Twitter')); ?></label>
                <input type="text" dir="ltr" name="social_twitter" id="i-social-twitter" class="form-control<?php echo e($errors->has('social_twitter') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('social_twitter') ?? config('settings.social_twitter')); ?>">
                <?php if($errors->has('social_twitter')): ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($errors->first('social_twitter')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="form-group">
                <label for="i-social-instagram"><?php echo e(__('Instagram')); ?></label>
                <input type="text" dir="ltr" name="social_instagram" id="i-social-instagram" class="form-control<?php echo e($errors->has('social_instagram') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('social_instagram') ?? config('settings.social_instagram')); ?>">
                <?php if($errors->has('social_instagram')): ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($errors->first('social_instagram')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="form-group">
                <label for="i-social-youtube"><?php echo e(__('YouTube')); ?></label>
                <input type="text" dir="ltr" name="social_youtube" id="i-social-youtube" class="form-control<?php echo e($errors->has('social_youtube') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('social_youtube') ?? config('settings.social_youtube')); ?>">
                <?php if($errors->has('social_youtube')): ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($errors->first('social_youtube')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <button type="submit" name="submit" class="btn btn-primary"><?php echo e(__('Save')); ?></button>
        </form>

    </div>
</div><?php /**PATH C:\wamp64\www\sahseo\resources\views/admin/settings/social.blade.php ENDPATH**/ ?>