<?php $__env->startSection('site_title', formatTitle([__('IP lookup'), __('Tool'), config('settings.title')])); ?>

<?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
    ['url' => route('dashboard'), 'title' => __('Home')],
    ['url' => route('tools'), 'title' => __('Tools')],
    ['title' => __('Tool')],
]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="d-flex">
    <h1 class="h2 mb-3 text-break"><?php echo e(__('IP lookup')); ?></h1>
</div>

<div class="card border-0 shadow-sm">
    <div class="card-header align-items-center">
        <div class="row">
            <div class="col">
                <div class="font-weight-medium py-1"><?php echo e(__('IP lookup')); ?></div>
            </div>
        </div>
    </div>
    <div class="card-body">
        <?php echo $__env->make('shared.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <form action="<?php echo e(route('tools.ip_lookup')); ?>" method="post" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>

            <div class="form-group">
                <label for="i-ip"><?php echo e(__('IP')); ?></label>
                <div class="input-group">
                    <input type="text" name="ip" id="i-ip" class="form-control<?php echo e($errors->has('ip') || isset($result) && empty($result) ? ' is-invalid' : ''); ?>" value="<?php echo e($result['traits']['ip_address'] ?? (old('ip') ?? request()->ip())); ?>">
                    <div class="input-group-append">
                        <div class="btn btn-primary" data-enable="tooltip-copy" title="<?php echo e(__('Copy')); ?>" data-copy="<?php echo e(__('Copy')); ?>" data-copied="<?php echo e(__('Copied')); ?>" data-clipboard-target="#i-ip"><?php echo e(__('Copy')); ?></div>
                    </div>
                </div>

                <?php if($errors->has('ip')): ?>
                    <span class="invalid-feedback d-block" role="alert">
                        <strong><?php echo e($errors->first('ip')); ?></strong>
                    </span>
                <?php elseif(isset($result) && empty($result)): ?>
                    <span class="invalid-feedback d-block" role="alert">
                        <strong><?php echo e(__('No results.')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="row">
                <div class="col">
                    <button type="submit" name="submit" class="btn btn-primary"><?php echo e(__('Search')); ?></button>
                </div>
                <div class="col-auto">
                    <a href="<?php echo e(route('tools.ip_lookup')); ?>" class="btn btn-outline-secondary ml-auto"><?php echo e(__('Reset')); ?></a>
                </div>
            </div>
        </form>
    </div>
</div>

<?php if(!empty($result)): ?>
    <div class="card border-0 shadow-sm mt-3">
        <div class="card-header align-items-center">
            <div class="row">
                <div class="col">
                    <div class="font-weight-medium py-1"><?php echo e(__('Result')); ?></div>
                </div>
            </div>
        </div>
        <div class="card-body mb-n3">
            <div class="form-row">
                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label for="i-country"><?php echo e(__('Country')); ?></label>
                        <div class="input-group">
                            <div class="input-group-prepend">
                                <div class="input-group-text">
                                    <img src="<?php echo e(asset('/images/icons/countries/'. mb_strtolower($result['country']['iso_code'] ?? 'unknown'))); ?>.svg" class="width-4 height-4">
                                </div>
                            </div>
                            <input id="i-country" class="form-control" type="text" value="<?php echo e(__($result['country']['names']['en'] ?? 'Unknown')); ?>" readonly>
                        </div>
                    </div>
                </div>

                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label for="i-city"><?php echo e(__('City')); ?></label>
                        <input id="i-city" class="form-control" type="text" value="<?php echo e(__($result['city']['names']['en'] ?? 'Unknown')); ?>" readonly>
                    </div>
                </div>

                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label for="i-postal-code"><?php echo e(__('Postal code')); ?></label>
                        <input id="i-postal-code" class="form-control" type="text" value="<?php echo e(__($result['postal']['code'] ?? 'Unknown')); ?>" readonly>
                    </div>
                </div>

                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label for="i-latitude"><?php echo e(__('Latitude')); ?></label>
                        <input id="i-latitude" class="form-control" type="text" value="<?php echo e(__($result['location']['latitude'] ?? 'Unknown')); ?>" readonly>
                    </div>
                </div>

                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label for="i-longitude"><?php echo e(__('Longtitude')); ?></label>
                        <input id="i-longitude" class="form-control" type="text" value="<?php echo e(__($result['location']['longitude'] ?? 'Unknown')); ?>" readonly>
                    </div>
                </div>

                <div class="col-12 col-md-4">
                    <div class="form-group">
                        <label for="i-timezone"><?php echo e(__('Timezone')); ?></label>
                        <input id="i-timezone" class="form-control" type="text" value="<?php echo e(__($result['location']['time_zone'] ?? 'Unknown')); ?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>

<script>
    'use strict';

    window.addEventListener('DOMContentLoaded', function () {
        new ClipboardJS('.btn');
    });
</script><?php /**PATH C:\wamp64\www\sahseo\resources\views/tools/tool/ip-lookup.blade.php ENDPATH**/ ?>