<?php $__env->startSection('site_title', formatTitle([__('Reports'), __('Settings'), config('settings.title')])); ?>

<?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
    ['url' => route('admin.dashboard'), 'title' => __('Admin')],
    ['title' => __('Settings')],
]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<h1 class="h2 mb-3 d-inline-block"><?php echo e(__('Advanced')); ?></h1>

<div class="card border-0 shadow-sm">
    <div class="card-header"><div class="font-weight-medium py-1"><?php echo e(__('Advanced')); ?></div></div>
    <div class="card-body">

        <ul class="nav nav-pills d-flex flex-fill flex-column flex-md-row mb-3" id="pills-tab" role="tablist">
            <li class="nav-item flex-grow-1 text-center">
                <a class="nav-link active" id="pills-general-tab" data-toggle="pill" href="#pills-general" role="tab" aria-controls="pills-general" aria-selected="true"><?php echo e(__('General')); ?></a>
            </li>
            <li class="nav-item flex-grow-1 text-center">
                <a class="nav-link" id="pills-gsb-tab" data-toggle="pill" href="#pills-gsb" role="tab" aria-controls="pills-gsb" aria-selected="false"><?php echo e(__('Google Safe Browsing')); ?></a>
            </li>
            <li class="nav-item flex-grow-1 text-center">
                <a class="nav-link" id="pills-gcs-tab" data-toggle="pill" href="#pills-gcs" role="tab" aria-controls="pills-gcs" aria-selected="false"><?php echo e(__('Google Custom Search')); ?></a>
            </li>
            <li class="nav-item flex-grow-1 text-center">
                <a class="nav-link" id="pills-screenshot-tab" data-toggle="pill" href="#pills-screenshot" role="tab" aria-controls="pills-screenshot" aria-selected="false"><?php echo e(__('Screenshot')); ?></a>
            </li>
        </ul>

        <?php echo $__env->make('shared.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <form action="<?php echo e(route('admin.settings', 'report')); ?>" method="post" enctype="multipart/form-data">

            <?php echo csrf_field(); ?>

            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-general" role="tabpanel" aria-labelledby="pills-general-tab">
                    <div class="form-group">
                        <label for="i-demo-url"><?php echo e(__(':name URL', ['name' => __('Demo')])); ?></label>
                        <input type="text" dir="ltr" name="demo_url" id="i-demo-url" class="form-control<?php echo e($errors->has('demo_url') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('settings.demo_url') ?? config('settings.demo_url')); ?>">
                        <?php if($errors->has('demo_url')): ?>
                            <span class="invalid-feedback d-block" role="alert">
                                <strong><?php echo e($errors->first('demo_url')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-sitemap-links"><?php echo e(__('Sitemap links')); ?></label>
                        <input type="number" name="sitemap_links" id="i-sitemap-links" class="form-control<?php echo e($errors->has('sitemap_links') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('sitemap_links') ?? config('settings.sitemap_links')); ?>">
                        <?php if($errors->has('sitemap_links')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('sitemap_links')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-request-proxy"><?php echo e(__('Proxies')); ?></label>
                        <textarea name="request_proxy" id="i-request-proxy" class="form-control<?php echo e($errors->has('request_proxy') ? ' is-invalid' : ''); ?>" rows="3" placeholder="<?php echo e(__('One per line')); ?>

http://username:password@ip:port
"><?php echo e(config('settings.request_proxy')); ?></textarea>
                        <?php if($errors->has('request_proxy')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('request_proxy')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-bad-words"><?php echo e(__('Bad words')); ?></label>
                        <textarea name="bad_words" id="i-bad-words" class="form-control<?php echo e($errors->has('bad_words') ? ' is-invalid' : ''); ?>" rows="3" placeholder="<?php echo e(__('One per line')); ?>"><?php echo e(config('settings.bad_words')); ?></textarea>
                        <?php if($errors->has('bad_words')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('bad_words')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="tab-pane fade" id="pills-gsb" role="tabpanel" aria-labelledby="pills-gsb-tab">
                    <div class="form-group">
                        <label for="i-gsb"><?php echo e(__('Enabled')); ?></label>
                        <select name="gsb" id="i-gsb" class="custom-select<?php echo e($errors->has('gsb') ? ' is-invalid' : ''); ?>">
                            <?php $__currentLoopData = [0 => __('No'), 1 => __('Yes')]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>" <?php if((old('gsb') !== null && old('gsb') == $key) || (config('settings.gsb') == $key && old('gsb') == null)): ?> selected <?php endif; ?>><?php echo e($value); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('gsb')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('gsb')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-gsb-key"><?php echo e(__('API key')); ?></label>
                        <input type="password" name="gsb_key" id="i-gsb-key" class="form-control<?php echo e($errors->has('gsb_key') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('gsb_key') ?? config('settings.gsb_key')); ?>">
                        <?php if($errors->has('gsb_key')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('gsb_key')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="tab-pane fade" id="pills-gcs" role="tabpanel" aria-labelledby="pills-gcs-tab">
                    <div class="form-group">
                        <label for="i-gcs"><?php echo e(__('Enabled')); ?></label>
                        <select name="gcs" id="i-gcs" class="custom-select<?php echo e($errors->has('gcs') ? ' is-invalid' : ''); ?>">
                            <?php $__currentLoopData = [0 => __('No'), 1 => __('Yes')]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>" <?php if((old('gcs') !== null && old('gcs') == $key) || (config('settings.gcs') == $key && old('gcs') == null)): ?> selected <?php endif; ?>><?php echo e($value); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('gcs')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('gcs')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-gcs-key"><?php echo e(__('API key')); ?></label>
                        <input type="password" name="gcs_key" id="i-gcs-key" class="form-control<?php echo e($errors->has('gcs_key') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('gcs_key') ?? config('settings.gcs_key')); ?>">
                        <?php if($errors->has('gcs_key')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('gcs_key')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-gcs-id"><?php echo e(__('Search engine ID')); ?></label>
                        <input type="password" name="gcs_id" id="i-gcs-id" class="form-control<?php echo e($errors->has('gcs_id') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('gcs_id') ?? config('settings.gcs_id')); ?>">
                        <?php if($errors->has('gcs_id')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('gcs_id')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-gcs-country" class="d-inline-flex align-items-center"><span class="<?php echo e((__('lang_dir') == 'rtl' ? 'ml-2' : 'mr-2')); ?>"><?php echo e(__('Country')); ?></span><span class="badge badge-secondary"><?php echo e(__('Default')); ?></span></label>
                        <select name="gcs_country" id="i-gcs-country" class="custom-select<?php echo e($errors->has('gcs_country') ? ' is-invalid' : ''); ?>">
                            <option value="" hidden disabled selected><?php echo e(__('Country')); ?></option>
                            <?php $__currentLoopData = array_diff_key(config('countries'), array_flip(['AX', 'BQ', 'CT', 'NQ', 'FQ', 'GG', 'IM', 'JE', 'JT', 'FX', 'MI', 'ME', 'NT', 'VD', 'PC', 'PZ', 'YD', 'BL', 'MF', 'RS', 'PU', 'SU', 'ZZ', 'WK'])); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>" <?php if((old('gcs_country') !== null && old('gcs_country') == $key) || (config('settings.gcs_country') == $key && old('gcs_country') == null)): ?> selected <?php endif; ?>><?php echo e($value); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('gcs_country')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('gcs_country')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>

                <div class="tab-pane fade" id="pills-screenshot" role="tabpanel" aria-labelledby="pills-screenshot-tab">
                    <div class="form-group">
                        <label for="i-screenshot"><?php echo e(__('Enabled')); ?></label>
                        <select name="screenshot" id="i-screenshot" class="custom-select<?php echo e($errors->has('screenshot') ? ' is-invalid' : ''); ?>">
                            <?php $__currentLoopData = [0 => __('No'), 1 => __('Yes')]; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($key); ?>" <?php if((old('screenshot') !== null && old('screenshot') == $key) || (config('settings.screenshot') == $key && old('screenshot') == null)): ?> selected <?php endif; ?>><?php echo e($value); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('screenshot')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('screenshot')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>

                    <div class="form-group">
                        <label for="i-screenshot-key"><?php echo e(__('API key')); ?></label>
                        <input type="password" name="screenshot_key" id="i-screenshot-key" class="form-control<?php echo e($errors->has('screenshot_key') ? ' is-invalid' : ''); ?>" value="<?php echo e(old('screenshot_key') ?? config('settings.screenshot_key')); ?>">
                        <?php if($errors->has('screenshot_key')): ?>
                            <span class="invalid-feedback" role="alert">
                                <strong><?php echo e($errors->first('screenshot_key')); ?></strong>
                            </span>
                        <?php endif; ?>
                    </div>
                </div>
            </div>

            <button type="submit" name="submit" class="btn btn-primary"><?php echo e(__('Save')); ?></button>
        </form>

    </div>
</div><?php /**PATH C:\wamp64\www\sahseo\resources\views/admin/settings/advanced.blade.php ENDPATH**/ ?>