<?php $__env->startSection('site_title', formatTitle([__('Case converter'), __('Tool'), config('settings.title')])); ?>

<?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
    ['url' => route('dashboard'), 'title' => __('Home')],
    ['url' => route('tools'), 'title' => __('Tools')],
    ['title' => __('Tool')],
]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="d-flex">
    <h1 class="h2 mb-3 text-break"><?php echo e(__('Case converter')); ?></h1>
</div>

<div class="card border-0 shadow-sm">
    <div class="card-header align-items-center">
        <div class="row">
            <div class="col">
                <div class="font-weight-medium py-1"><?php echo e(__('Case converter')); ?></div>
            </div>
        </div>
    </div>
    <div class="card-body">
        <?php echo $__env->make('shared.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <form action="<?php echo e(route('tools.case_converter')); ?>" method="post" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>

            <div class="form-group">
                <label for="i-content"><?php echo e(__('Content')); ?></label>
                <textarea name="content" id="i-content" class="form-control<?php echo e($errors->has('content') ? ' is-invalid' : ''); ?>"><?php echo e($content ?? (old('content') ?? '')); ?></textarea>
                <?php if($errors->has('content')): ?>
                    <span class="invalid-feedback" role="alert">
                        <strong><?php echo e($errors->first('content')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="form-group">
                <div>
                    <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" id="i-type-sentence-case" name="type" class="custom-control-input<?php echo e($errors->has('type') ? ' is-invalid' : ''); ?>" value="ucfirst" <?php if(request()->input('type') == 'ucfirst'): ?> checked <?php endif; ?>>
                        <label class="custom-control-label" for="i-type-sentence-case"><?php echo e(Str::ucfirst(__('Sentence case'))); ?></label>
                    </div>

                    <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" id="i-type-lower-case" name="type" class="custom-control-input<?php echo e($errors->has('type') ? ' is-invalid' : ''); ?>" value="lower" <?php if(request()->input('type') == 'lower'): ?> checked <?php endif; ?>>
                        <label class="custom-control-label" for="i-type-lower-case"><?php echo e(Str::lower(__('Lower case'))); ?></label>
                    </div>

                    <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" id="i-type-upper-case" name="type" class="custom-control-input<?php echo e($errors->has('type') ? ' is-invalid' : ''); ?>" value="upper" <?php if(request()->input('type') == 'upper'): ?> checked <?php endif; ?>>
                        <label class="custom-control-label" for="i-type-upper-case"><?php echo e(Str::upper(__('Upper case'))); ?></label>
                    </div>

                    <div class="custom-control custom-radio custom-control-inline">
                        <input type="radio" id="i-type-capitalized-case" name="type" class="custom-control-input<?php echo e($errors->has('type') ? ' is-invalid' : ''); ?>" value="title" <?php if(request()->input('type') == 'title'): ?> checked <?php endif; ?>>
                        <label class="custom-control-label" for="i-type-capitalized-case"><?php echo e(Str::title(__('Capitalized case'))); ?></label>
                    </div>
                </div>

                <?php if($errors->has('type')): ?>
                    <span class="invalid-feedback d-block" role="alert">
                        <strong><?php echo e($errors->first('type')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="row">
                <div class="col">
                    <button type="submit" name="submit" class="btn btn-primary"><?php echo e(__('Convert')); ?></button>
                </div>
                <div class="col-auto">
                    <a href="<?php echo e(route('tools.case_converter')); ?>" class="btn btn-outline-secondary ml-auto"><?php echo e(__('Reset')); ?></a>
                </div>
            </div>
        </form>
    </div>
</div>

<?php if(isset($result)): ?>
    <div class="card border-0 shadow-sm mt-3">
        <div class="card-header align-items-center">
            <div class="row">
                <div class="col">
                    <div class="font-weight-medium py-1"><?php echo e(__('Result')); ?></div>
                </div>
            </div>
        </div>
        <div class="card-body mb-n3">
            <div class="form-group">
                <label for="i-result-content"><?php echo e(__('Content')); ?></label>

                <div class="position-relative">
                    <textarea name="result-content" id="i-result-content" class="form-control" onclick="this.select();" readonly><?php echo e($result); ?></textarea>

                    <div class="position-absolute top-0 right-0">
                        <div class="btn btn-sm btn-primary m-2" data-enable="tooltip-copy" title="<?php echo e(__('Copy')); ?>" data-copy="<?php echo e(__('Copy')); ?>" data-copied="<?php echo e(__('Copied')); ?>" data-clipboard-target="#i-result-content"><?php echo e(__('Copy')); ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>

<script>
    'use strict';

    window.addEventListener('DOMContentLoaded', function () {
        new ClipboardJS('.btn');
    });
</script><?php /**PATH C:\wamp64\www\sahseo\resources\views/tools/tool/case-converter.blade.php ENDPATH**/ ?>