<?php $__env->startSection('site_title', formatTitle([__('Keyword generator'), __('Tool'), config('settings.title')])); ?>

<?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
    ['url' => route('dashboard'), 'title' => __('Home')],
    ['url' => route('tools'), 'title' => __('Tools')],
    ['title' => __('Tool')],
]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="d-flex">
    <h1 class="h2 mb-3 text-break"><?php echo e(__('Keyword generator')); ?></h1>
</div>

<div class="card border-0 shadow-sm">
    <div class="card-header align-items-center">
        <div class="row">
            <div class="col">
                <div class="font-weight-medium py-1"><?php echo e(__('Keyword generator')); ?></div>
            </div>
        </div>
    </div>
    <div class="card-body">
        <?php echo $__env->make('shared.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <form action="<?php echo e(route('tools.keyword_generator')); ?>" method="post" enctype="multipart/form-data" id="keywords-generator-form">
            <?php echo csrf_field(); ?>

            <div class="form-group">
                <label for="i-keyword"><?php echo e(__('Keyword')); ?></label>
                <input type="text" name="keyword" id="i-keyword" class="form-control<?php echo e($errors->has('keyword') ? ' is-invalid' : ''); ?>" value="<?php echo e($keyword ?? (old('keyword') ?? '')); ?>">

                <?php if($errors->has('keyword')): ?>
                    <span class="invalid-feedback d-block" role="alert">
                        <strong><?php echo e($errors->first('keyword')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="row">
                <div class="col">
                    <?php if(config('settings.captcha_keyword_generator')): ?>
                        <?php echo NoCaptcha::displaySubmit('keywords-generator-form', __('Send'), ['data-theme' => (Cookie::get('dark_mode') == 1 ? 'dark' : 'light'), 'data-size' => 'invisible', 'class' => 'btn ' . ($errors->has('g-recaptcha-response') ? 'btn-danger' : 'btn-primary')]); ?>


                        <?php echo NoCaptcha::renderJs(__('lang_code')); ?>

                    <?php else: ?>
                        <button type="submit" name="submit" class="btn btn-primary"><?php echo e(__('Search')); ?></button>
                    <?php endif; ?>
                </div>
                <div class="col-auto">
                    <a href="<?php echo e(route('tools.keyword_generator')); ?>" class="btn btn-outline-secondary ml-auto"><?php echo e(__('Reset')); ?></a>
                </div>
            </div>

            <?php if($errors->has('g-recaptcha-response')): ?>
                <span class="invalid-feedback d-block" role="alert">
                    <strong><?php echo e($errors->first('g-recaptcha-response')); ?></strong>
                </span>
            <?php endif; ?>
        </form>
    </div>
</div>

<?php if(isset($keywords)): ?>
    <div class="card border-0 shadow-sm mt-3">
        <div class="card-header align-items-center">
            <div class="row">
                <div class="col">
                    <div class="font-weight-medium py-1"><?php echo e(__('Results')); ?></div>
                </div>
            </div>
        </div>

        <div class="card-body">
            <?php if(empty($keywords)): ?>
                <?php echo e(__('No results found.')); ?>

            <?php else: ?>
                <div class="list-group list-group-flush my-n3">
                    <div class="list-group-item px-0 text-muted">
                        <div class="row align-items-center">
                            <div class="col">
                                <div class="row">
                                    <div class="col-12"><?php echo e(__('Keyword')); ?></div>
                                </div>
                            </div>
                            <div class="col-auto">
                                <div class="form-row">
                                    <div class="col">
                                        <div class="invisible btn btn-sm btn-outline-primary"><?php echo e(__('Copy')); ?></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <?php $__currentLoopData = $keywords; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $keyword): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="list-group-item px-0">
                            <div class="row align-items-center">
                                <div class="col text-truncate">
                                    <div class="row text-truncate">
                                        <div class="col-12 col-lg-5 d-flex align-items-center text-truncate">
                                            <?php echo e($keyword); ?>

                                        </div>
                                    </div>
                                </div>
                                <div class="col-auto">
                                    <div class="form-row">
                                        <div class="col">
                                            <div class="btn btn-sm btn-outline-primary keyword-copy" data-enable="tooltip-keyword" data-value="<?php echo e($keyword); ?>" title="<?php echo e(__('Copy')); ?>" data-copy="<?php echo e(__('Copy')); ?>" data-copied="<?php echo e(__('Copied')); ?>" data-clipboard-target="#i-keyword-<?php echo e(Str::slug($keyword)); ?>"><?php echo e(__('Copy')); ?></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            <?php endif; ?>
        </div>
    </div>
<?php endif; ?>

<script>
    'use strict';

    window.addEventListener('DOMContentLoaded', function () {
        jQuery('[data-enable="tooltip-keyword"]').tooltip({animation: true});

        document.querySelectorAll('[data-enable="tooltip-keyword"]').forEach(function (element) {
            element.addEventListener('click', function (e) {
                // Update the tooltip
                jQuery(this).tooltip('hide').attr('data-original-title', this.dataset.copied).tooltip('show');
            });

            element.addEventListener('mouseleave', function () {
                this.setAttribute('data-original-title', this.dataset.copy);
            });
        });

        document.querySelectorAll('.keyword-copy').forEach(function (element) {
            element.addEventListener('click', function (e) {
                e.preventDefault();

                try {
                    let value = this.dataset.value;
                    let tempInput = document.createElement('input');

                    document.body.append(tempInput);

                    // Set the input's value to the url to be copied
                    tempInput.value = value;

                    // Select the input's value to be copied
                    tempInput.select();

                    // Copy the url
                    document.execCommand("copy");

                    // Remove the temporary input
                    tempInput.remove();
                } catch (e) {}
            });
        });
    });
</script><?php /**PATH C:\wamp64\www\sahseo\resources\views/tools/tool/keyword-generator.blade.php ENDPATH**/ ?>