<?php $__env->startSection('site_title', formatTitle([__('Tools'), config('settings.title')])); ?>

<?php $__env->startSection('content'); ?>
<div class="bg-base-1 flex-fill">
    <div class="container py-3 my-3">
        <div class="row">
            <div class="col-12">
                <?php if(config('settings.ad_projects_top')): ?>
                    <div class="d-print-none mb-1"><?php echo config('settings.ad_projects_top'); ?></div>
                <?php endif; ?>
                
                <?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
                    ['url' => route('dashboard'), 'title' => __('Home')],
                    ['title' => __('Tools')],
                ]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <div class="d-flex align-items-end">
                    <h1 class="h2 mb-0 flex-grow-1 text-truncate"><?php echo e(__('Tools')); ?></h1>
                </div>

                <?php
                    if(config('settings.gcs')) {
                        $tools['SEO'][] = [
                                'icon' => 'manage-search',
                                'title' => __('SERP checker'),
                                'route' => route('tools.serp_checker')
                            ];
                        $tools['SEO'][] = [
                                'icon' => 'search',
                                'title' => __('Indexed pages checker'),
                                'route' => route('tools.indexed_pages_checker')
                            ];
                    }

                    $tools['SEO'][] = [
                            'icon' => 'abc',
                            'title' => __('Keyword generator'),
                            'route' => route('tools.keyword_generator')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'wifi-tethering',
                            'title' => __('Website status checker'),
                            'route' => route('tools.website_status_checker')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'lock',
                            'title' => __('SSL checker'),
                            'route' => route('tools.ssl_checker')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'info',
                            'title' => __('WHOIS lookup'),
                            'route' => route('tools.whois_lookup')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'dns',
                            'title' => __('DNS lookup'),
                            'route' => route('tools.dns_lookup')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'travel-explore',
                            'title' => __('IP lookup'),
                            'route' => route('tools.ip_lookup')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'password',
                            'title' => __('Password generator'),
                            'route' => route('tools.password_generator')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'qr',
                            'title' => __('QR generator'),
                            'route' => route('tools.qr_generator')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'tab',
                            'title' => __('User-Agent parser'),
                            'route' => route('tools.user_agent_parser')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'md5',
                            'title' => __('MD5 generator'),
                            'route' => route('tools.md5_generator')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'js',
                            'title' => __('JS minifier'),
                            'route' => route('tools.js_minifier')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'css',
                            'title' => __('CSS minifier'),
                            'route' => route('tools.css_minifier')
                        ];
                    $tools['Utilities'][] = [
                            'icon' => 'html',
                            'title' => __('HTML minifier'),
                            'route' => route('tools.html_minifier')
                        ];
                    $tools['Content'][] = [
                            'icon' => 'link',
                            'title' => __('Text to slug'),
                            'route' => route('tools.text_to_slug')
                        ];
                    $tools['Content'][] = [
                            'icon' => 'text-case',
                            'title' => __('Case converter'),
                            'route' => route('tools.case_converter')
                        ];
                    $tools['Content'][] = [
                            'icon' => '123',
                            'title' => __('Word counter'),
                            'route' => route('tools.word_counter')
                        ];
                    $tools['Content'][] = [
                            'icon' => 'article',
                            'title' => __('Lorem ipsum generator'),
                            'route' => route('tools.lorem_ipsum_generator')
                        ];
                    $tools['Content'][] = [
                            'icon' => 'url',
                            'title' => __('URL converter'),
                            'route' => route('tools.url_converter')
                        ];
                    $tools['Content'][] = [
                            'icon' => 'b64',
                            'title' => __('Base64 converter'),
                            'route' => route('tools.base64_converter')
                        ];
                ?>

                <div class="row m-n2">
                    <?php $__currentLoopData = $tools; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category => $items): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-12 p-2 mt-3"><div class="badge badge-<?php echo e(($category == 'SEO' ? 'danger' : ($category == 'Utilities' ? 'success' : 'dark'))); ?>"><?php echo e(__($category)); ?></div></div>

                        <?php $__currentLoopData = $items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tool): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="col-12 col-lg-4 p-2">
                                <div class="card border-0 h-100 shadow-sm">
                                    <div class="card-body d-flex align-items-center text-truncate">
                                        <div class="d-flex position-relative text-<?php echo e(($category == 'SEO' ? 'danger' : ($category == 'Utilities' ? 'success' : 'dark'))); ?> width-8 height-8 align-items-center justify-content-center flex-shrink-0">
                                            <div class="position-absolute bg-<?php echo e(($category == 'SEO' ? 'danger' : ($category == 'Utilities' ? 'success' : 'dark'))); ?> opacity-10 top-0 right-0 bottom-0 left-0 border-radius-lg"></div>
                                            <?php echo $__env->make('icons.' . $tool['icon'], ['class' => 'fill-current width-4 height-4'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </div>

                                        <a href="<?php echo e($tool['route']); ?>" class="text-dark font-weight-medium stretched-link text-decoration-none text-truncate mx-3"><?php echo e($tool['title']); ?></a>

                                        <div class="text-muted d-flex align-items-center text-truncate <?php echo e((__('lang_dir') == 'rtl' ? 'mr-auto' : 'ml-auto')); ?>">
                                            <?php echo $__env->make((__('lang_dir') == 'rtl' ? 'icons.chevron-left' : 'icons.chevron-right'), ['class' => 'flex-shrink-0 width-3 height-3 fill-current mx-2'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
        
        <?php if(config('settings.ad_projects_bottom')): ?>
            <div class="d-print-none mt-3"><?php echo config('settings.ad_projects_bottom'); ?></div>
        <?php endif; ?>
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('shared.sidebars.user', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\sahseo\resources\views/tools/list.blade.php ENDPATH**/ ?>