<?php $__env->startSection('site_title', formatTitle([__('User-Agent parser'), __('Tool'), config('settings.title')])); ?>

<?php echo $__env->make('shared.breadcrumbs', ['breadcrumbs' => [
    ['url' => route('dashboard'), 'title' => __('Home')],
    ['url' => route('tools'), 'title' => __('Tools')],
    ['title' => __('Tool')],
]], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="d-flex">
    <h1 class="h2 mb-3 text-break"><?php echo e(__('User-Agent parser')); ?></h1>
</div>

<div class="card border-0 shadow-sm">
    <div class="card-header align-items-center">
        <div class="row">
            <div class="col">
                <div class="font-weight-medium py-1"><?php echo e(__('User-Agent parser')); ?></div>
            </div>
        </div>
    </div>
    <div class="card-body">
        <?php echo $__env->make('shared.message', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <form action="<?php echo e(route('tools.user_agent_parser')); ?>" method="post" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>

            <div class="form-group">
                <label for="i-user-agent"><?php echo e(__('User-Agent')); ?></label>
                <div class="input-group">
                    <input type="text" name="user_agent" id="i-user-agent" class="form-control<?php echo e($errors->has('user_agent') ? ' is-invalid' : ''); ?>" value="<?php echo e($userAgent ?? (old('user_agent') ?? request()->header('User-Agent'))); ?>">
                    <div class="input-group-append">
                        <div class="btn btn-primary" data-enable="tooltip-copy" title="<?php echo e(__('Copy')); ?>" data-copy="<?php echo e(__('Copy')); ?>" data-copied="<?php echo e(__('Copied')); ?>" data-clipboard-target="#i-user-agent"><?php echo e(__('Copy')); ?></div>
                    </div>
                </div>

                <?php if($errors->has('user_agent')): ?>
                    <span class="invalid-feedback d-block" role="alert">
                        <strong><?php echo e($errors->first('user_agent')); ?></strong>
                    </span>
                <?php endif; ?>
            </div>

            <div class="row">
                <div class="col">
                    <button type="submit" name="submit" class="btn btn-primary"><?php echo e(__('Parse')); ?></button>
                </div>
                <div class="col-auto">
                    <a href="<?php echo e(route('tools.user_agent_parser')); ?>" class="btn btn-outline-secondary ml-auto"><?php echo e(__('Reset')); ?></a>
                </div>
            </div>
        </form>
    </div>
</div>

<?php if(isset($result)): ?>
    <div class="card border-0 shadow-sm mt-3">
        <div class="card-header align-items-center">
            <div class="row">
                <div class="col">
                    <div class="font-weight-medium py-1"><?php echo e(__('Result')); ?></div>
                </div>
            </div>
        </div>
        <div class="card-body mb-n3">
            <div class="form-row">
                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label for="i-browser"><?php echo e(__('Browser')); ?></label>
                        <input id="i-browser" class="form-control" type="text" value="<?php echo e($result->browser->name ?? null); ?> <?php echo e($result->browser->version->value ?? null); ?>" readonly>
                    </div>
                </div>

                <div class="col-12 col-md-6">
                    <div class="form-group">
                        <label for="i-operating-system"><?php echo e(__('Operating system')); ?></label>
                        <input id="i-operating-system" class="form-control" type="text" value="<?php echo e($result->os->name ?? null); ?> <?php echo e($result->os->version->value ?? null); ?>" readonly>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label for="i-result"><?php echo e(__('User-Agent')); ?></label>

                <div class="position-relative">
                    <textarea name="user-agent" id="i-user-agent" class="form-control" onclick="this.select();" readonly><?php echo e($userAgent ?? null); ?></textarea>

                    <div class="position-absolute top-0 right-0">
                        <div class="btn btn-sm btn-primary m-2" data-enable="tooltip-copy" title="<?php echo e(__('Copy')); ?>" data-copy="<?php echo e(__('Copy')); ?>" data-copied="<?php echo e(__('Copied')); ?>" data-clipboard-target="#i-user-agent"><?php echo e(__('Copy')); ?></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif; ?>

<script>
    'use strict';

    window.addEventListener('DOMContentLoaded', function () {
        new ClipboardJS('.btn');
    });
</script><?php /**PATH C:\wamp64\www\sahseo\resources\views/tools/tool/user-agent-parser.blade.php ENDPATH**/ ?>